/*

Externals.h

External variables header file.

*/

	extern int global_key;
	extern int start_flag;
	// Arrays
	extern int 	 int_settings[22];
	extern int 	 spi_read[14];
	// Integers
	extern int 	 average_pointer;	
	extern int 	 direction;
	extern int 	 min_width;
	extern int 	 rx_flag;
	extern int 	 serial_number;
	extern int 	 valid_signal;	
	// Floats
	extern float distance;
	extern float distance_averages[16];
	extern float range;
	extern float resolution;
	extern float signal_front;	
	extern float signal_width_out;
	extern float signal_width_averages[16];
	extern float signal_width_in;
	extern float zero_front;
	// Calibrations
	extern float correction;
	extern float corrections[16];
	extern float intercept;
	extern float intercepts[16];
	extern float slope;
	extern float slopes[16];

/*
-----------------------------------------------------------------------------------------------------------
This work is licensed under the Creative Commons Attribution 3.0 Unported License.
To view a copy of this license, visit http://creativecommons.org/licenses/by/3.0/
or send a letter to Creative Commons, 444 Castro Street, Suite 900, Mountain View, California, 94041, USA.
-----------------------------------------------------------------------------------------------------------
*/
	
	